# Class: Concurrent::Actor::RestartingContext Abstract

Inherits:
  AbstractContext
  - Object
  - AbstractContext
  - Concurrent::Actor::RestartingContext
  show all

Defined in:
  lib/concurrent-ruby-edge/concurrent/actor/context.rb

## Overview

This class is abstract.

implement AbstractContext#on_message

Context of an Actor for robust systems. It supports supervision, linking, pauses on error. Uses Behaviour.restarting_behaviour_definition

## Direct Known Subclasses

DefaultDeadLetterHandler, Utils::Balancer, Utils::Broadcast, Utils::Pool

## Instance Method Summary collapse

- #behaviour_definition ⇒ undocumented

## Instance Method Details

### #behaviour_definition ⇒ `undocumented`

    161
    162
    163

    # File 'lib/concurrent-ruby-edge/concurrent/actor/context.rb', line 161

    def behaviour_definition
      Behaviour.restarting_behaviour_definition
    end